## python-upstream-ontologist 0.2.6

=== Makefile ===
.PHONY: build check unittest coverage coverage-html typing

build:
	python3 setup.py build_ext -i

check:: unittest-py

unittest-py: build
	PYTHONPATH=$(shell pwd)/py python3 -m unittest tests.test_suite

cargo-test:
	cargo test

check:: cargo-test

coverage: build
	PYTHONPATH=$(shell pwd)/py python3 -m coverage run -m unittest tests.test_suite

coverage-html: coverage
	python3 -m coverage html

check:: typing

typing:
	mypy py/ tests/

## python-upstream-ontologist 0.2.2

=== debian/changelog ===
python-upstream-ontologist (0.2.2-2) unstable; urgency=medium

  * Merge release 0.2.2.
    + Fixes build. Closes: #1088444

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 20 Dec 2024 13:03:29 +0000

python-upstream-ontologist (0.2.0-1) unstable; urgency=medium

  * Rename source package to python-upstream-ontologist.
  * The rust code is now built as a separate package, rust-upstream-ontologist
    that is maintained by the Rust team.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Nov 2024 19:13:19 +0000

upstream-ontologist (0.1.44-1) unstable; urgency=medium

  * Remove unused manpage for guess-upstream-metadata(1).
  * New upstream release.
  * Drop unnecessary dh-rust build dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 Sep 2024 22:20:03 +0100

upstream-ontologist (0.1.42-1) unstable; urgency=low

  * New upstream release.
   + Drop executables, these will be provided by the upstream-ontologist
     package in the future.
   + Fixes compatibility with newer pyo3 0.22. Closes: #1078418

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 24 Sep 2024 19:52:24 -0000

upstream-ontologist (0.1.37-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 05 Jun 2024 15:58:25 +0100

upstream-ontologist (0.1.35-1) unstable; urgency=low

  * New upstream release.
  * Add hard dependency on python3-breezy and python3-ruamel.yaml for
    now. These should eventually be Recommends or Suggest. Closes:
    #1029750

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Feb 2023 13:20:23 +0000

upstream-ontologist (0.1.34-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 03 Feb 2023 17:27:51 +0000

upstream-ontologist (0.1.33-1) unstable; urgency=medium

  * Update watch file from github
  * New upstream release.
    + Fixes GitHub repository verification. Closes: #1029722
  * Update standards version to 4.6.2, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 Jan 2023 01:03:08 +0000

upstream-ontologist (0.1.30-2) unstable; urgency=medium

  * releasing package upstream-ontologist version 0.1.25-2

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 28 Nov 2022 02:17:59 +0000

upstream-ontologist (0.1.30-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 01 Nov 2022 09:03:29 +0000

upstream-ontologist (0.1.25-2) unstable; urgency=medium

  * Recommend perl-doc.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 18:33:31 +0100

upstream-ontologist (0.1.25-1) unstable; urgency=medium

  * Recommend python3-setuptools, for reading setup files.
  * Recommend python3-tomlkit.
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 14 Apr 2022 20:22:37 +0100

upstream-ontologist (0.1.24-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Dec 2021 15:09:26 +0000

upstream-ontologist (0.1.22-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 13 Jun 2021 01:49:23 +0100

upstream-ontologist (0.1.20-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 11 Jun 2021 20:09:21 +0100

upstream-ontologist (0.1.19-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 May 2021 21:10:11 +0100

upstream-ontologist (0.1.18-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 09 Apr 2021 18:19:29 +0100

upstream-ontologist (0.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 16 Mar 2021 12:27:01 +0000

upstream-ontologist (0.1.13-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Mar 2021 16:03:10 +0000

upstream-ontologist (0.1.12-1) unstable; urgency=medium

  * Check upstream PGP signatures.
  * Add missing dependencies.
  * New upstream release.
  * Set upstream metadata fields: Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 11 Mar 2021 04:02:19 +0000

upstream-ontologist (0.1.9-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 12 Feb 2021 00:39:58 +0000

upstream-ontologist (0.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 00:19:46 +0000

upstream-ontologist (0.1.5-1) unstable; urgency=low

  * Initial release. Closes: #976893

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 30 Jan 2021 16:42:11 +0000

=== debian/control ===
Source: python-upstream-ontologist
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
               dh-python,
               librust-pyo3-dev,
               librust-pyo3-log-dev,
               librust-reqwest+blocking-dev,
               librust-reqwest+json-dev,
               librust-upstream-ontologist-dev,
               librust-url-dev,
               librust-serde-json-dev,
               librust-log-dev,
               python3-all,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-setuptools-rust
Priority: optional
Section: python
Homepage: https://github.com/jelmer/upstream-ontologist-py
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/upstream-ontologist-py.git
Vcs-Browser: https://salsa.debian.org/python-team/upstream-ontologist-py

Package: python3-upstream-ontologist
Architecture: any
Replaces: lintian-brush (<< 0.95)
Depends: python3-breezy,
         python3-debian,
         python3-debmutate,
         python3-ruamel.yaml,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: perl-doc,
            python3-bs4,
            python3-distro-info,
            python3-docutils,
            python3-dulwich,
            python3-lxml,
            python3-markdown,
            python3-setuptools,
            python3-toml,
            python3-tomlkit
Description: discover metadata about upstream projects
 The upstream ontologist discovers metadata about the upstream part of a
 package by reading common project metadata files. It currently supports:
 .
  * setup.py/PKG-INFO files
  * package.json files
  * package.xml files
  * dist.ini files
  * META.json / META.yml files
  * GNU configure files
  * R DESCRIPTION files
  * pom.xml files
  * Cargo.toml files
  * and other formats

## python-upstream-ontologist 0.2.4

=== debian/changelog ===
python-upstream-ontologist (0.2.4-2) unstable; urgency=medium

  * Team Upload
  * Add d/gbp.conf
  * Fix Vcs urls
  * Drop recommends on python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 11:54:21 +0200

python-upstream-ontologist (0.2.4-1) unstable; urgency=medium

  * New upstream release.
   + Stops shipping of broken ``guess-upstream-metadata``. Closes: #1103799
  * debian/watch: Use python-upstream-ontologist rather than upstream-
    ontologist repo.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Apr 2025 00:16:54 +0100

python-upstream-ontologist (0.2.2-3) unstable; urgency=medium

  * Depend on newer version of librust-makefile-parser-dev that fixes
    #1076245

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Dec 2024 12:31:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               librust-makefile-lossless-dev (>= 0.1.7),
                librust-pyo3-dev,
                librust-pyo3-log-dev,
                librust-reqwest+blocking-dev,
@@ -19,8 +20,8 @@
 Section: python
 Homepage: https://github.com/jelmer/upstream-ontologist-py
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Vcs-Git: https://salsa.debian.org/python-team/upstream-ontologist-py.git
-Vcs-Browser: https://salsa.debian.org/python-team/upstream-ontologist-py
+Vcs-Git: https://salsa.debian.org/python-team/packages/upstream-ontologist-py.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/upstream-ontologist-py
 
 Package: python3-upstream-ontologist
 Architecture: any
@@ -40,7 +41,6 @@
             python3-lxml,
             python3-markdown,
             python3-setuptools,
-            python3-toml,
             python3-tomlkit
 Description: discover metadata about upstream projects
  The upstream ontologist discovers metadata about the upstream part of a

## python-upstream-ontologist 0.2.6

=== debian/changelog ===
python-upstream-ontologist (0.2.6-1) unstable; urgency=medium

  * New upstream release.
   + Fixes FTBFS. Closes: #1114336

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 15 Sep 2025 12:41:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

export CARGO_HOME=$(shell pwd)/debian/cargo_home

%:
	dh $@ --buildsystem=pybuild --with=python3

override_dh_auto_clean:
	if test -f Cargo.lock.saved; then mv Cargo.lock.saved Cargo.lock; fi
	dh_auto_clean

override_dh_auto_build:
	mv Cargo.lock Cargo.lock.saved
	dh_auto_build

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v(\d\S+)\.tar\.gz/python-upstream-ontologist-$1\.tar\.gz/ https://github.com/jelmer/upstream-ontologist-py/tags .*\/v(\d\S+)\.tar\.gz

## python-upstream-ontologist 0.2.8

=== debian/changelog ===
python-upstream-ontologist (0.2.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Nov 2025 15:29:48 +0000

python-upstream-ontologist (0.2.7-2) unstable; urgency=medium

  * Drop unnecessary dependencies.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 12 Nov 2025 01:58:50 +0000

python-upstream-ontologist (0.2.7-1) experimental; urgency=medium

  * New upstream release.
   + Fixes compatibility with newer PyO3. Closes: #1118300

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 04 Nov 2025 20:40:41 +0000

=== debian/control ===
Source: python-upstream-ontologist
Rules-Requires-Root: no
Standards-Version: 4.6.2
# Use update-rust-deps to update this field:
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cargo:native,
               librust-futures-0.3+default-dev (>= 0.3.31-~~),
               librust-log-0.4+default-dev,
               librust-pyo3-0.27+default-dev,
               librust-pyo3-log-0.13+default-dev,
               librust-reqwest+blocking-dev (<< 0.13-~~),
               librust-reqwest+blocking-dev (>= 0.11-~~),
               librust-reqwest+json-dev (<< 0.13-~~),
               librust-reqwest+json-dev (>= 0.11-~~),
               librust-serde-json-1+default-dev,
               librust-tokio-1+default-dev (>= 1.48.0-~~),
               librust-tokio-1+rt-multi-thread-dev (>= 1.48.0-~~),
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.1-~~),
               librust-url-2+default-dev (>= 2.5-~~),
               libstd-rust-dev,
               python3-all,
               python3-ruamel.yaml,
               python3-setuptools,
               python3-setuptools-rust,
               rustc:native
Priority: optional
Section: python
Homepage: https://github.com/jelmer/upstream-ontologist-py
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Vcs-Git: https://salsa.debian.org/python-team/packages/upstream-ontologist-py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/upstream-ontologist-py

Package: python3-upstream-ontologist
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: discover metadata about upstream projects
 The upstream ontologist discovers metadata about the upstream part of a
 package by reading common project metadata files. It currently supports:
 .
  * setup.py/PKG-INFO files
  * package.json files
  * package.xml files
  * dist.ini files
  * META.json / META.yml files
  * GNU configure files
  * R DESCRIPTION files
  * pom.xml files
  * Cargo.toml files
  * and other formats
